%define _name control-center

Name: gnome-%_name
Version: 2.2.0.1
Release: alt1

Summary: GNOME Control Center
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %_name-%version.tar.bz2

Obsoletes: %_name
Provides: %_name = %version-%release

%define GConf_ver 2.2.0
%define pango_ver 1.2.1
%define gtk_ver 2.2.1
%define desktop_ver 2.2.0.1
%define libgnome_ver 2.2.0.1
%define libbonobo_ver 2.2.0
%define libgnomeui_ver 2.2.0.1-alt2
%define libbonoboui_ver 2.2.0
%define gnome_vfs_ver 2.2.0
%define bonobo_activation_ver 2.2.0
%define glade2_ver 2.0.1-alt2
%define metacity_ver 2.4.21

PreReq: GConf2 >= %GConf_ver
Requires: xscreensaver
Requires: libpango >= %pango_ver
Requires: libgtk+2 >= %gtk_ver
Requires: gnome-desktop >= %desktop_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnome >= %libgnome_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: bonobo-activation >= %bonobo_activation_ver
Requires: libglade2 >= %glade2_ver
Requires: libmetacity >= %metacity_ver

BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: libglade2-devel >= %glade2_ver
BuildPreReq: libmetacity-devel >= %metacity_ver

# Automatically added by buildreq on Wed Feb 05 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libXft-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-desktop-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libmetacity-devel libpango-devel libpopt-devel libssl-devel libstartup-notification-devel libxml2-devel pkgconfig zlib-devel

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, the window manager, system
sounds, and mouse behavior).

If you install GNOME, you need to install control-center.

%package devel
Summary: GNOME Control Center development files
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel
Provides: %_name-devel = %version-%release
Requires: %name = %version-%release
Requires: libpango-devel >= %pango_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libGConf2-devel >= %GConf_ver
Requires: libgnome-desktop-devel >= %desktop_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libgnome-devel >= %libgnome_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: bonobo-activation-devel >= %bonobo_activation_ver
Requires: libglade2-devel >= %glade2_ver

%description devel

If you're interested in developing panels for the GNOME control center,
you'll want to install this package.

Control-center-devel helps you create the 'capplets' which are used in
the control center.

%package devel-static
Summary: GNOME control-center static libraries
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel-static
Provides: %_name-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
Static libraries that could be used to develop GNOME Control Center
'capplets'.

%prep
%setup -q -n %_name-%version

%__subst 's,properties,manager,' \
	    capplets/theme-switcher/gtk-theme-selector.desktop.in
%build
%configure --disable-schemas-install
# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %_name-2.0

%define schemas apps_gnome_settings_daemon_screensaver apps_gnome_settings_daemon_default_editor desktop_gnome_font_rendering

%post
%post_ldconfig
%gconf2_install %schemas

%postun -p %postun_ldconfig

%files -f %_name-2.0.lang
%_bindir/*
%_libdir/bonobo/*/*
%_libdir/*.so.*
%_libdir/window-manager-settings/*.so
%_datadir/applications/*
%dir %_datadir/%_name-2.0
%dir %_datadir/%_name-2.0/capplets
%dir %_datadir/%_name-2.0/icons
%dir %_datadir/%_name-2.0/interfaces
%dir %_datadir/%_name-2.0/pixmaps
%_datadir/%_name-2.0/capplets/*
%_datadir/%_name-2.0/icons/*
%_datadir/%_name-2.0/interfaces/*
%_datadir/%_name-2.0/pixmaps/*
%_datadir/gnome/vfolders/*
%_datadir/gnome/cursor-fonts
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/window-manager-settings/*.la
%_libdir/pkgconfig/*

%files devel-static
%_libdir/*.a
%_libdir/window-manager-settings/*.a

%changelog
* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Dec 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- ugly theme_switcher updated from cvs.

* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt2
- Renamed to gnome-control-center.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1.2
- Rebuild with new pango, gtk, gnome-desktop (soname changed).

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.1.1-alt1.1
- fixed %post script (Yuri don't use comma in %gconf2_install macros)

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1
- 2.0.1.1

* Fri Jul 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build control-center for GNOME2.
